PrintConversionEventImpl (Java SE 10 & JDK 10 )
Keywords: javax.xml.bind.helpers.PrintConversionEventImpl class

Module java.xml.bind
Package javax.xml.bind.helpers

## Class PrintConversionEventImpl

- java.lang.Object
- - javax.xml.bind.helpers.ValidationEventImpl
  - - javax.xml.bind.helpers.PrintConversionEventImpl

- All Implemented Interfaces:
    `PrintConversionEvent`, `ValidationEvent`

      public class PrintConversionEventImpl
      extends ValidationEventImpl
      implements PrintConversionEvent

  Default implementation of the PrintConversionEvent interface.

  JAXB providers are allowed to use whatever class that implements the ValidationEvent interface. This class is just provided for a convenience.

  Since:
    1.6, JAXB 1.0
  See Also:
    `PrintConversionEvent`, `Validator`, `ValidationEventHandler`, `ValidationEvent`, `ValidationEventLocator`

- - ### Field Summary

    - ### Fields declared in interface javax.xml.bind.ValidationEvent

      `ERROR, FATAL_ERROR, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrintConversionEventImpl​(int _severity, String _message, ValidationEventLocator _locator)` | Create a new PrintConversionEventImpl.
    `PrintConversionEventImpl​(int _severity, String _message, ValidationEventLocator _locator, Throwable _linkedException)` | Create a new PrintConversionEventImpl.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javax.xml.bind.ValidationEvent

      `getLinkedException, getLocator, getMessage, getSeverity`

    - ### Methods declared in class javax.xml.bind.helpers.ValidationEventImpl

      `setLinkedException, setLocator, setMessage, setSeverity, toString`

- - ### Constructor Detail

    - #### PrintConversionEventImpl

          public PrintConversionEventImpl​(int _severity,
                                          String _message,
                                          ValidationEventLocator _locator)

      Create a new PrintConversionEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

    - #### PrintConversionEventImpl

          public PrintConversionEventImpl​(int _severity,
                                          String _message,
                                          ValidationEventLocator _locator,
                                          Throwable _linkedException)

      Create a new PrintConversionEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
        `_linkedException` - An optional linked exception that may provide additional information about the event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied